Package: groovy.lang

## [Java] Class InnerLoader

- groovy.lang.GroovyClassLoader.InnerLoader

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `GroovyResourceLoader` | `resourceLoader`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyClassLoader.InnerLoader (GroovyClassLoader delegate)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addClasspath(String path)`
    `` | `void` | `addURL(URL url)`
    `` | `void` | `clearCache()`
    `` | `URL` | `findResource(String name)`
    `` | `Enumeration` | `findResources(String name)`
    `` | `Class[]` | `getLoadedClasses()`
    `` | `URL` | `getResource(String name)`
    `` | `InputStream` | `getResourceAsStream(String name)`
    `` | `GroovyResourceLoader` | `getResourceLoader()`
    `` | `long` | `getTimeStamp()`
    `` | `URL[]` | `getURLs()`
    `` | `Class` | `loadClass(String name, boolean lookupScriptFiles, boolean preferClassOverScript, boolean resolve)`
    `` | `Class` | `parseClass(GroovyCodeSource codeSource, boolean shouldCache)`
    `` | `void` | `setResourceLoader(GroovyResourceLoader resourceLoader)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyClassLoader` | `clearCache, setShouldRecompile, isShouldRecompile, setResourceLoader, parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, addClasspath, getResourceLoader, generateScriptName, getLoadedClasses, loadClass, loadClass, loadClass, defineClass, defineClass, close, addURL, newInstance, newInstance, getResourceAsStream, findResource, findResources, getURLs, getPlatformClassLoader, getSystemClassLoader, getName, getResource, getSystemResourceAsStream, getSystemResource, getResources, resources, isRegisteredAsParallelCapable, getSystemResources, getParent, getUnnamedModule, getDefinedPackage, getDefinedPackages, setDefaultAssertionStatus, setPackageAssertionStatus, setClassAssertionStatus, clearAssertionStatus, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class URLClassLoader` | `newInstance, newInstance, getResourceAsStream, findResource, findResources, close, getURLs, loadClass, getPlatformClassLoader, getSystemClassLoader, getName, getResource, getSystemResourceAsStream, getSystemResource, getResources, resources, isRegisteredAsParallelCapable, getSystemResources, getParent, getUnnamedModule, getDefinedPackage, getDefinedPackages, setDefaultAssertionStatus, setPackageAssertionStatus, setClassAssertionStatus, clearAssertionStatus, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### GroovyResourceLoader resourceLoader

  - ### Constructor Detail

    - #### public GroovyClassLoader.InnerLoader(GroovyClassLoader delegate)

  - ### Method Detail

    - #### public void addClasspath(String path)

    - #### public void addURL(URL url)

    - #### public void clearCache()

    - #### public URL findResource(String name)

    - #### public Enumeration findResources(String name)

    - #### public Class[] getLoadedClasses()

    - #### public URL getResource(String name)

    - #### public InputStream getResourceAsStream(String name)

    - #### public GroovyResourceLoader getResourceLoader()

    - #### public long getTimeStamp()

    - #### public URL[] getURLs()

    - #### public Class loadClass(String name, boolean lookupScriptFiles, boolean preferClassOverScript, boolean resolve)

    - #### public Class parseClass(GroovyCodeSource codeSource, boolean shouldCache)

    - #### public void setResourceLoader(GroovyResourceLoader resourceLoader)